`git-cc` is offered under the Indie Code Catalog Standard Deal, verion 4.0.1 or higher.
The text of the deal is available at https://indiecc.com/deal/4.0.1.
The [Indie Code Catalog Standard Deal](#indie-code-catalog-standard-deal), [Free License](#indie-code-catalog-free-license), and [Paid License](#indie-code-catalog-paid-license) and are all copied below.

Prior to 2021-08-25, `git-cc` was licensed under the strictEq free and paid licenses.
You can view the previous licenses at commit [7ca8e95](https://github.com/SKalt/git-cc/blob/7ca8e95c1dc25ee87eeeb0d73f0b2ddef1aa9f29/LICENSE.md).
If you bought a strictEq paid license, that license still grants you rights to copy and use updated versions `git-cc` even after the license change.
The strictEq free license now only applies to versions of `git-cc` prior to the license change.

-------------------------------------------------------------------------------

# Indie Code Catalog Standard Deal

[Version 4.0.1](https://indiecc.com/deal/4.0.1)

To use software listed on this site to make money or for work, you need to buy a license. If you’re part of a team, everyone on your team who uses the software needs to buy one. You can [try before you buy](#free-trials), to make sure the software works and integrates well with your prototypes.

There is one special exception: [Kids can use the software for free](#kids-projects), even to make money, until they become adults. Adults can also use the software to help kids with their projects.

Everyone’s free to share the software, and to use it outside of business. However, you must [give the developer credit](#give-credit) for contributing to your projects and [share any improvements](#share-improvements) you make with the developer.

This page loosely summarizes two licenses: the free license that everyone gets and the paid license customers pay for. For the final work, read the license terms.

-------------------------------------------------------------------------------

# Indie Code Catalog Free License

[Version 2.0.0](https://indiecc.com/free/2.0.0)

## Purpose

This license allows you to use and share this software for [noncommercial purposes](#noncommercial) and [kids' projects](#kids-projects) for free, and to [try the software for commercial projects](#free-trials).  However, you have to [give credit](#give-credit) and [share any improvements you make](#share-improvements).

## Acceptance

To receive this license, you have to agree to its rules.  Those rules are both obligations to the developer and conditions to your license.  Don't do anything with the software against any rule you can't or won't follow.

## Use

### Noncommercial

You may not use the software in business or paid work, except for [Free Trials](#free-trials) and [Kids' Projects](#kids-projects).

<!-- Adapted from PolyForm Noncommercial 1.0.0 -->

### Personal Uses

Personal use for research, experiment, and testing for the benefit of public knowledge, personal study, private entertainment, hobby projects, amateur pursuits, or religious observance, without any anticipated commercial application, does not count as use in business or paid work.

### Free Trials

You may use the software for brief trial periods to verify that the software works as described, such as by running on test data or integrating with a test system.

### Kids' Projects

You may use this software if you are a child below the legal age of adulthood where you live, usually eighteen years, or you are helping a child with a project of theirs.

## Obligations

### Notify of License

Make sure that everyone who gets a copy of any part of the software from you, with or without changes, also gets the text of this license or a link to <https://indiecc.com/free/VERSION>.

<!-- Adapted from Credit License -->

### Give Credit

Give this software and the developer credit for contributing to projects you develop, test, produce, or provide using this software.

#### How to Give Credit

Give credit in such a way that others can freely and readily find a written notice identifying this software and the developer, by name, as contributing to your project.  Do not do anything to stop others from sharing, publishing, or using those credits.

#### Conventions

If widespread convention dictates a particular way to give credit for your kind of project, such as by end credit for a film, citation for an academic paper, acknowledgment for a book, or billing for a show, follow that convention.  For software provided to users to run on their own computers, give credit in documentation, notice files, and any "about" page or screen.  For software run as a service for users to access remotely, give credit in a `credits.txt` file according to <https://creditstxt.com>.

#### Who to Credit

If the developer provides their name or the name of this software along with the software in a conventional way, such as in software package metadata or on an "about" page or screen, you may rely on the names they provide that way to be accurate and complete.  If the developer doesn't provide names that way, but includes a link to a homepage for this software, investigate that homepage for names to credit.  If the developer provides neither names to credit nor a link to a homepage, you do not have to do independent research to find names to credit.

#### Declining Credit

On written request from the developer, remove their name, the name of this software, or both, as they ask, from credits for your project going forward.

<!-- Adapted from Round Robin -->

### Share Improvements

With two exceptions, [Prototypes](#prototypes) and [Applications](#applications), share all changes and additions you make to this software, as well as all software that invokes this software's functionality, with the developer.  When in doubt, share.

#### Prototypes

You don't have to share any change, addition, or other software that meets all these criteria:

1.  You don't use it for more than thirty days.

2.  You don't share it outside the team developing it, other than for non-production user testing.

3.  You don't use it on behalf of anyone outside the team developing it.

#### Applications

You don't have to share any software that only invokes this software's functionality through the interfaces this software exposes, unless it exposes so much of this software's interfaces or functionality to users, programmers, or other software that it becomes a practical substitute for this software.  Interfaces exposed by this software include all the interfaces this software provides users, programmers, or other software to invoke its functionality, such as command line, graphical, application programming, remote procedure call, and inter-process communication interfaces.

#### How to Share

To share software with the developer:

1.  Send all the source code to the developer in the preferred form for making changes through the system the developer uses to manage and distribute the source code of this software.  If the developer uses a public source code repository that accepts pull requests, send a pull request.  If the developer accepts patches via e-mail, send a patch to their e-mail address or mailing list.

2.  Make sure every new part of the source code is available under the Blue Oak Model License 1.0.0, the BSD-2-Clause Plus Patent License, or terms with substantially the same legal effect.  If you can choose the license terms for part of the source code, license it under the Blue Oak Model License 1.0.0.

3.  Take these steps within thirty days.

4.  Note that this license doesn't let you change the license for this software.  Follow [Notify of License](#notify-of-license).

## Intellectual Property

### Copyright

The developer licenses you to do everything with the software that would otherwise infringe their copyright in it.

### Patent

The developer licenses you to do everything with the software that would otherwise infringe any patent claims they can license or become able to license.

### Patent Defense

If you make any written claim that this software or any other software offered through indiecc.com infringes or contributes to infringement of any patent, this license ends immediately.  If an organization you work for makes that kind of claim, this license ends immediately for work for that organization.

## Excuse

You're excused for unknowingly breaking [Notify of License](#notify-of-license), [Give Credit](#give-credit), or [Share Improvements](#share-improvements) if you take all practical steps to comply within thirty days of learning you broke the rule.

## Reliability

The developer cannot revoke this license.

## No Liability

<span class="conspicuous" markdown="1">As far as the law allows, the software comes as is, without any warranty or condition, and the developer will not be liable to anyone for any damages related to the software or this license, under any kind of legal claim.</span>

-------------------------------------------------------------------------------
# Indie Code Catalog Paid License

[Version 3.0.1](https://indiecc.com/paid/3.0.1)

## Details

- Date: `date` (ISO 8601)

- Developer: `developer name`, `developer location` (ISO 3166-2), `developer e-mail`

- Developer's Agent: `agent name`, `agent location` (ISO 3166-2), `agent website`

- Customer: `customer name`, `customer location` (ISO 3166-2), `customer e-mail`

- Software: `software name`, the `software category` available at `software URL`

## Versions

This license covers the current version of the software as well as any new versions the developer might publish, until they publish a new version with a requirement to buy a separate license.  For example, if the current version of the software is 1.0.0, the developer publishes 1.1.0 in six months, and the developer publishes 1.2.0 six months after that, with a requirement to buy separate licenses for 1.2.0, this license covers versions 1.0.0 and 1.1.0, but not 1.2.0.

## Personnel

If the customer is a corporation or other kind of legal entity, rather than an individual, this license covers up to `users` of the customer's personnel in any rolling 90-day period.

### Eligibility

To be covered by this license as customer personnel, you must be:

- an employee of the customer or of its wholly owned subsidiary

- an independent contractor providing services to the customer or to its wholly owned subsidiary

- an employee or independent contractor of an independent contractor providing services to the customer or to its wholly owned subsidiary

### Work

This license covers personnel only in work for the customer or for its wholly owned subsidiaries.  This license does not cover personnel in work on personal projects or work for other organizations.

### Responsibility

Personnel have to follow all the rules of this license.  The customer agrees to stand legally responsible for any personnel that break those rules.

## Sublicensing

If you combine some or all of the software with other work in a larger project, you can pass your license for the software on to, or "sublicense", users, developers, distributors, and others, under these rules:

### Value

Each project has to offer significant content or functionality beyond that of the software, and users must be reasonably expected to use the project primarily for that additional content or functionality.

### Maintenance

Maintaining the project is allowed, but not using the software to develop new functionality or other projects.

### Terms

All the rules of this license continue to apply.

### Unlimited

You can sublicense for as many projects as you like.

## Notices

To make sure everyone who gets a copy of the software knows about the terms for its use, you must give everyone who gets a copy of some or all of the software from you, with or without changes, the text of this license and any free public license for the software, or hyperlinks to their specific versions on https://indiecc.com.

## Payment

In order to keep this license, your payment of `price` (USD) to the developer's agent has to go through and remain settled.  Denial, chargeback, or cancellation of the payment immediately ends this license.

## Copyright

The developer licenses the customer to do everything with the software that would otherwise infringe the developer's copyright in it.

## Patent

The developer licenses the customer to do everything with the software that would otherwise infringe patent claims the developer can license or becomes able to license.

## Agency

The developer's agent sold this license on behalf of the developer.  The developer and the customer are legal "parties" to this license.  The developer's agent is not.

## Guarantees

The developer guarantees that they own or have the rights to license copyrights in the software.  If the software invokes specific software dependencies, the developer guarantees that they have either been published under permissive license terms that Blue Oak Council rates "bronze" or better, or that their license terms have been noted in documentation published with the software.

## Disclaimer

<span class="conspicuous" markdown="1">With the sole exception of [Guarantee](#guarantee), as far as the law allows, the software comes as is, without any warranty or condition.</span>

## Exclusion

<span class="conspicuous" markdown="1">With the sole exception of [Guarantee](#guarantee), as far as the law allows, neither the developer nor their agent will be liable to anyone for any damages related to the software or this license, under any kind of legal claim.</span>
